\section{Problem Formulation}

\begin{frame}{Problem Formulation}
    \begin{center}
        \textbf{Requirements:}
    \end{center}
    \pause
    \begin{itemize}
        \item Minimize the number of \alert{facilities} satisifying \alert{reachability restrictions}
        \pause
        \item Facilities may have multiple \alert{levels}
            \begin{itemize}
                \item e.g. hospitals with \alert{basic-/maximum hospital care}
            \end{itemize}
        \pause
        \item Different \alert{reachability restrictions} on each level, e.g.
            \begin{itemize}
                \item 30 minutes to reach hospitals with basic hospital care
                \item 60 minutes to reach hospitals with maximum hospital care
            \end{itemize}
        \pause
        \item Not the whole population needs to be covered
            \begin{itemize}
                \item Coverage up to a \alert{margin of error $\alpha$}
                \item Reflects status quo
            \end{itemize}
            
    \end{itemize}
    
\end{frame}

\begin{frame}{Problem Formulation}
    We define the \alert{Constrained Facility Reduction Problem (CFR):} \\
    \vspace{0.5cm}
    \textbf{Given:}
    \begin{itemize}
        \item Discretized set of \alert{locations} $V$ with optional \alert{population labels} $p(v)\in\N$
        \item Set of \alert{facilities} $F$ 
        \item $k$ \alert{facility levels} with \alert{level restrictions} $F=F_1\supseteq ...\supseteq F_k\neq\emptyset$
        \item \alert{Distances} $d(v,f)=d(f,v)\in\R_{\geq 0}$ for all $v\in V, f\in F$
        \item \alert{Distance-/reachability restrictions} $d_1,...,d_k>0$
        \item \alert{Margin of error} $\alpha\in[0,1]$
    \end{itemize}


\end{frame}

\begin{frame}{Problem Formulation}
    \textbf{Requirement:} \\
    There exists a subset $V'\subseteq V$ with $p(V')\geq(1-\alpha)p(V)$ such that
        \[V'\subseteq \bigcup_{f\in F_i}B_{d_i}(f) \quad \forall i\in\{1,...,k\}\]
    \vspace{0.5cm}
    Here,
    \begin{itemize}
        \item $p(V):=\sum_{v\in V}p(v)$
        \item $B_{d_i}(f):=\{v\in V|d(f,v)\leq d_i\}$ (the \alert{level $i$ cover} of $f$)
    \end{itemize}

\end{frame}

\begin{frame}{Problem Formulation}
    \textbf{Find:} \\
    $X=(X_1,...,X_k)\subseteq F$ satisfying
    \begin{enumerate}
        \item $X_1\supseteq ... \supseteq X_k$ and $X_i \subseteq F_i \quad \forall i\geq 2$
        \item For all $i\in\{1,...,k\}$ there exists a subset $V_i'\subseteq V$ with $p(V_i')\geq(1-\alpha)p(V)$ satisfying
            \[V_i' \subseteq \bigcup_{f\in X_i}B_{d_i}(f)\]
        \item $(|X_1|,...,|X_k|)$ is \alert{lexicographically minimal}
    \end{enumerate}
    % \begin{block}{Reminder (Lexicographical Order)}
    %     Let $(X,<)$ be an ordered set and $x,y\in X^k$. Then
    %     \[(x_1,...,x_k)<_{lex}(y_1,...,y_k) \Leftrightarrow \exists j: x_i=y_i \text{ for all } i<j \text{ and } x_j<y_j\]
    % \end{block}

\end{frame}